package com.salpa.subject.mapper;

import com.salpa.subject.domain.MonitorProject;
import com.salpa.subject.domain.vo.MonitorDataSourceVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author zhuff
 */
@Mapper
public interface ProjectMapper {

    List<Map<String , Object>> getList(MonitorDataSourceVo monitorDataSourceVo);

    int checkProjectNameUnique(String projectName);

    int addProject(MonitorProject monitorProject);

    MonitorProject selectById(Integer id);

    int checkDatabaseNameUnique(String databaseName);

    int updateProject(MonitorProject monitorProject);

    int deleteProject(Integer id);
}
